List Secure Compute networks
GET
https://api.vercel.com/v1/connect/networksAllows to list Secure Compute networks.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.networking.listNetworks({ teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
[ { "awsAccountId": "example_id", "awsAvailabilityZoneIds": [], "awsRegion": "string", "cidr": "example_id", "createdAt": "123", "egressIpAddresses": [], "hostedZones": { "count": "123" }, "id": "icfg_1234567890", "name": "Example Name", "peeringConnections": { "count": "123" }, "projects": { "count": "123", "ids": [] }, "region": "string", "status": "create_in_progress", "teamId": "example_id", "vpcId": "example_id" }]AuthorizationbearerToken
Default authentication mechanism